Skip to main content
`Ctrl`+`K`

# SNESLineSearchSetDefaultMonitor

Turns on/off printing useful information and debugging output about the line search.

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESLineSearchSetDefaultMonitor(SNESLineSearch linesearch, PetscViewer viewer)

Logically Collective

## Input Parameters

- linesearch - the linesearch object

- viewer - an `PETSCVIEWERASCII` `PetscViewer` or `NULL` to turn off monitor

## Options Database Key

- -snes_linesearch_monitor [:filename] - enables the monitor

## Developer Notes

This monitor is implemented differently than the other line search monitors that are set with `SNESLineSearchMonitorSet()` since it is called in many locations of the line search routines to display aspects of the line search that are not visible to the other monitors.

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESLineSearch`, `PETSCVIEWERASCII`, `SNESGetLineSearch()`, `SNESLineSearchGetDefaultMonitor()`, `PetscViewer`, `SNESLineSearchSetMonitor()`, `SNESLineSearchMonitorSetFromOptions()`

## Level

intermediate

## Location

src/snes/linesearch/interface/linesearch.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages